
%global meadversion 4.4.1
%global namedversion 4.4.1.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}woodstox-core}
%{!?scl:%global pkg_name %{name}}

%global majmin 4.4

%define maven_version 4.4.1.redhat-1

Name:           %{?scl_prefix}woodstox-core
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Woodstox
Group:          Development/Java

%if %with mead
Source100: woodstox-core-asl-4.4.1.redhat-1-scm-sources.zip
Source102: woodstox-core-asl-4.4.1.redhat-1-sources.jar
Source103: woodstox-core-asl-4.4.1.redhat-1.pom
Source104: woodstox-core-asl-4.4.1.redhat-1-project-sources.tar.gz
Source105: woodstox-core-asl-4.4.1.redhat-1.jar
Source106: woodstox-core-asl-4.4.1.redhat-1-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://woodstox.codehaus.org
Provides:       %{?scl_prefix}woodstox-core-asl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}stax2-api >= 0:3.1.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Woodstox is a high-performance XML processor that implements Stax (JSR-173) and
SAX2 APIs.

%if %with javadoc
%package javadoc
Summary:        Javadoc for woodstox-core-asl
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n %{majmin} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/woodstox-core-asl-%{namedversion}.jar %{buildroot}%{_javadir}/woodstox-core-asl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/woodstox-core-asl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/woodstox-core-asl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/woodstox-core-asl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/woodstox-core-asl-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/woodstox-core-asl-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/woodstox-core-asl-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/woodstox-core-asl-%{namedversion} -x META-INF/\*
%{__ln_s} woodstox-core-asl-%{namedversion} %{buildroot}%{_javadocdir}/woodstox-core-asl
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc release-notes/COMPATIBILITY release-notes/CREDITS release-notes/FAAQ
%doc release-notes/IMPL_DETAILS release-notes/PERF release-notes/README
%doc release-notes/STAX2.txt release-notes/stax-compatibility.txt
%doc release-notes/USAGE release-notes/VERSION release-notes/xml-compatibility.txt
%doc release-notes/asl/ASL2.0 release-notes/asl/LICENSE release-notes/asl/NOTICE
%{_javadir}/woodstox-core-asl-%{namedversion}.jar
%{_javadir}/woodstox-core-asl.jar
%if %with javadoc
%{_javadir}/woodstox-core-asl-%{namedversion}-javadoc.jar
%{_javadir}/woodstox-core-asl-javadoc.jar
%endif
%{_javadir}/woodstox-core-asl-%{namedversion}-sources.jar
%{_javadir}/woodstox-core-asl-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/woodstox-core-asl-%{namedversion}
%{_javadocdir}/woodstox-core-asl
%endif

%changelog
* Wed Jun 24 2015 David Walluck <dwalluck@redhat.com> - 4.4.1-2.redhat_1.1
- fix doc install

* Wed Jun 24 2015 David Walluck <dwalluck@redhat.com> - 4.4.1-1.redhat_1.1
- release

